aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/disk-image-builder/ubuntu/scripts-remote
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2016-10-07 13:00:53 +0100
committerDave Wallace <dwallacelf@gmail.com>2016-10-13 16:31:44 +0000
commit909f20348b5aac1207678d1c0af8bbfa50f716c6 (patch)
tree86e9661646eccd9a756b9af905d541f097512f56 /resources/tools/disk-image-builder/ubuntu/scripts-remote
parent6b97e58d8c32773c6be8eabc770c67b4e8154451 (diff)
Update VIRL images to 16.04.1
Change-Id: I93e8b5e977e974cda9ea4ebab327b59f9afd2fd0 Signed-off-by: pmikus <pmikus@cisco.com>
Diffstat (limited to 'resources/tools/disk-image-builder/ubuntu/scripts-remote')
-rw-r--r--resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console-ubuntu-14.04.4.sh (renamed from resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console.sh)0
-rw-r--r--resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console-ubuntu-16.04.1.sh44
2 files changed, 44 insertions, 0 deletions
diff --git a/resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console.sh b/resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console-ubuntu-14.04.4.sh
index 52879048ac..52879048ac 100644
--- a/resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console.sh
+++ b/resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console-ubuntu-14.04.4.sh
diff --git a/resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console-ubuntu-16.04.1.sh b/resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console-ubuntu-16.04.1.sh
new file mode 100644
index 0000000000..c065021199
--- /dev/null
+++ b/resources/tools/disk-image-builder/ubuntu/scripts-remote/serial-console-ubuntu-16.04.1.sh
@@ -0,0 +1,44 @@
+#!/bin/sh -e
+
+# Copyright (c) 2016 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+##
+## Serial console
+##
+echo "********** CONFIGURING SERIAL CONSOLE AND DISABLING IPV6 **********"
+cat - > /etc/default/grub <<"_EOF"
+# If you change this file, run 'update-grub' afterwards to update
+# /boot/grub/grub.cfg.
+# For full documentation of the options in this file, see:
+# info -f grub -n 'Simple configuration'
+
+GRUB_DEFAULT=0
+GRUB_TIMEOUT=1
+GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
+GRUB_CMDLINE_LINUX="console=tty0 console=ttyS0,115200n8 ipv6.disable=1"
+
+GRUB_TERMINAL=serial
+GRUB_SERIAL_COMMAND="serial --speed=115200 --unit=0 --word=8 --parity=no --stop=1"
+
+# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
+#GRUB_DISABLE_LINUX_UUID=true
+
+# Uncomment to disable generation of recovery mode menu entries
+#GRUB_DISABLE_RECOVERY="true"
+
+# Uncomment to get a beep at grub start
+#GRUB_INIT_TUNE="480 440 1"
+_EOF
+
+update-grub